> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search agent providers



## OpenAPI

````yaml /public-openapi.json post /agent/v1/providers/search
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /agent/v1/providers/search:
    post:
      tags:
        - Agent
      summary: Search agent providers
      operationId: agent.searchProviders
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/agent-agent-ArtifactSearchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/agent-agent-PageAgentProviderArtifactView'
          description: HTTP 200 response.
        '400':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_json
          description: HTTP 400 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '415':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - unsupported_content_type
          description: HTTP 415 response.
        '422':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - validation_failed
          description: HTTP 422 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    agent-agent-ArtifactSearchRequest:
      type: object
      properties:
        cursor:
          type:
            - string
            - 'null'
        limit:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        offset:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        query:
          type:
            - string
            - 'null'
        sorts:
          type: array
          items:
            type: string
        strategy:
          type:
            - string
            - 'null'
        workspace_id:
          type:
            - string
            - 'null'
    agent-agent-PageAgentProviderArtifactView:
      type: object
      required:
        - items
        - page
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/agent-agent-AgentProviderArtifactView'
        page:
          $ref: '#/components/schemas/agent-gateway-PageMeta'
    agent-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    agent-agent-AgentProviderArtifactView:
      allOf:
        - $ref: '#/components/schemas/agent-gateway-ArtifactBase'
        - oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/agent-agent-AgentProviderMeta'
        - type: object
          properties:
            permissions:
              oneOf:
                - type: 'null'
                - $ref: '#/components/schemas/agent-gateway-CapabilityMatrix'
            relationships:
              oneOf:
                - type: 'null'
                - $ref: '#/components/schemas/agent-registry-RelationshipsView'
    agent-gateway-PageMeta:
      type: object
      required:
        - limit
        - offset
        - total
      properties:
        limit:
          type: integer
          format: int32
          minimum: 0
        offset:
          type: integer
          format: int32
          minimum: 0
        total:
          type: integer
          format: int64
          minimum: 0
    agent-gateway-ArtifactBase:
      type: object
      required:
        - id
        - kind
        - extension
        - name
        - artifact_status
        - commit_ts
        - content_hash_hex
        - workspace_id
        - version_ordinal
        - is_latest
        - source_type
        - created_by
        - created_at
        - updated_by
        - updated_at
      properties:
        artifact_status:
          type: string
        commit_ts:
          type: string
        content_hash_hex:
          type: string
        created_at:
          type: string
        created_by:
          type: string
        display_name:
          type: string
        extension:
          type: string
        id:
          type: string
        identity:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/agent-gateway-ArtifactIdentityRevealView'
        is_latest:
          type: boolean
        kind:
          type: string
        name:
          type: string
        oidc_client_id:
          type:
            - string
            - 'null'
        owner_id:
          type:
            - string
            - 'null'
        project_id:
          type:
            - string
            - 'null'
        repo_id:
          type:
            - string
            - 'null'
        source_created_at:
          type:
            - string
            - 'null'
        source_created_by:
          type:
            - string
            - 'null'
        source_digest:
          type:
            - string
            - 'null'
        source_id:
          type:
            - string
            - 'null'
        source_last_modified_at:
          type:
            - string
            - 'null'
        source_last_modified_by:
          type:
            - string
            - 'null'
        source_metadata: {}
        source_synced_at:
          type:
            - string
            - 'null'
        source_type:
          type: string
        source_uri:
          type:
            - string
            - 'null'
        source_version:
          type:
            - string
            - 'null'
        updated_at:
          type: string
        updated_by:
          type: string
        version_label:
          type:
            - string
            - 'null'
        version_ordinal:
          type: integer
          format: int64
        workspace_id:
          type: string
    agent-agent-AgentProviderMeta:
      type: object
      required:
        - provider_type
      properties:
        base_url:
          type:
            - string
            - 'null'
        docs_url:
          type:
            - string
            - 'null'
        homepage_url:
          type:
            - string
            - 'null'
        logo_url:
          type:
            - string
            - 'null'
        provider_type:
          $ref: '#/components/schemas/agent-agent-AgentProviderType'
    agent-gateway-CapabilityMatrix:
      type: object
      additionalProperties:
        type: boolean
      propertyNames:
        type: string
    agent-registry-RelationshipsView:
      type: object
      required:
        - outgoing
        - incoming
        - count
      properties:
        count:
          type: integer
          minimum: 0
        incoming:
          type: array
          items:
            $ref: '#/components/schemas/agent-registry-RelationshipEdge'
        outgoing:
          type: array
          items:
            $ref: '#/components/schemas/agent-registry-RelationshipEdge'
    agent-gateway-ArtifactIdentityRevealView:
      type: object
      required:
        - client_id
        - credential_kind
      properties:
        api_key:
          type:
            - string
            - 'null'
        client_id:
          type: string
        credential_kind:
          type: string
        expires_at:
          type:
            - string
            - 'null'
    agent-agent-AgentProviderType:
      type: string
      enum:
        - local
        - custom
    agent-registry-RelationshipEdge:
      type: object
      required:
        - rel_type
        - direction
        - provenance
        - relationship_status
      properties:
        attributes:
          type:
            - object
            - 'null'
          additionalProperties: {}
          propertyNames:
            type: string
        confidence:
          type:
            - number
            - 'null'
          format: double
        direction:
          type: string
        from:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/agent-registry-EdgeTarget'
        label:
          type:
            - string
            - 'null'
        provenance:
          type: string
        rel_type:
          type: string
        relationship_status:
          type: string
        role:
          type:
            - string
            - 'null'
        to:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/agent-registry-EdgeTarget'
        weight:
          type:
            - number
            - 'null'
          format: double
    agent-registry-EdgeTarget:
      type: object
      required:
        - id
        - kind
      properties:
        id:
          type: string
        kind:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````